using AutoMapper;
using Domain.BaseData;
using Domain.Identity;
using Models.BaseData;
using Models.Identity;

namespace Api
{


    public class AutoMapperConfig : Profile
    {
        public AutoMapperConfig()
        {
            // Add as many of these lines as you need to map your objects
            CreateMap<Account, AccountModel>();
            CreateMap<Account, CheckLoginResponse>();


            CreateMap<Plant, PlantViewModel>();
            CreateMap<Plant, SavePlantViewModel>();
            CreateMap<SavePlantViewModel, Plant>();

            CreateMap<MiscellaneousImage, MiscellaneousImageViewModel>();
            CreateMap<MiscellaneousImageViewModel, SaveMiscellaneousImageViewModel>();
            CreateMap<SaveMiscellaneousImageViewModel, MiscellaneousImage>();



        }
    }
}